Package org.eclipse.emf.compare.ide.internal.utils

# Class ForwardingXMLHelper

java.lang.Object
org.eclipse.emf.compare.ide.internal.utils.ForwardingXMLHelper

All Implemented Interfaces:
  `XMLHelper`

public class ForwardingXMLHelper extends Object implements XMLHelper
This implementation of an `XMLHelper` will forward all calls to its delegate.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper

`XMLHelper.ManyReference`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLHelper

`DATATYPE_IS_MANY, DATATYPE_SINGLE, IS_MANY_ADD, IS_MANY_MOVE, OTHER`

## Constructor Summary

Constructors
Constructor
Description
`ForwardingXMLHelper(XMLHelper delegate)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPrefix(String prefix, String uri)`
`String`
`convertToString(EFactory factory, EDataType dataType, Object data)`
`EObject`
`createObject(EFactory eFactory, String name)`
Deprecated.
`EObject`
`createObject(EFactory eFactory, EClassifier type)`
`URI`
`deresolve(URI uri)`
`Map<String,String>`
`getAnyContentPrefixToURIMapping()`
`DanglingHREFException`
`getDanglingHREFException()`
`ExtendedMetaData`
`getExtendedMetaData()`
`EStructuralFeature`
`getFeature(EClass eClass, String namespaceURI, String name)`
`EStructuralFeature`
`getFeature(EClass eClass, String namespaceURI, String name, boolean isElement)`
`int`
`getFeatureKind(EStructuralFeature feature)`
`String`
`getHREF(EObject eObject)`
`String`
`getID(EObject eObject)`
`String`
`getIDREF(EObject eObject)`
`String`
`getJavaEncoding(String xmlEncoding)`
`String`
`getName(ENamedElement eNamedElement)`
`String`
`getNamespaceURI(String prefix)`
`EPackage`
`getNoNamespacePackage()`
`String`
`getPrefix(String namespaceURI)`
`String`
`getPrefix(EPackage ePackage)`
`List<String>`
`getPrefixes(EPackage ePackage)`
`EMap<String,String>`
`getPrefixToNamespaceMap()`
`String`
`getQName(EClass eClass)`
`String`
`getQName(EDataType eDataType)`
`String`
`getQName(EStructuralFeature feature)`
`XMLResource`
`getResource()`
`EClassifier`
`getType(EFactory eFactory, String typeName)`
`String`
`getURI(String prefix)`
`Object`
`getValue(EObject eObject, EStructuralFeature eStructuralFeature)`
`String`
`getXMLEncoding(String javaEncoding)`
`XMLResource.XMLMap`
`getXMLMap()`
`EPackage[]`
`packages()`
`void`
`popContext()`
`void`
`popContext(Map<String,EFactory> prefixesToFactories)`
`void`
`populateNameInfo(NameInfo nameInfo, EClass eClass)`
`void`
`populateNameInfo(NameInfo nameInfo, EDataType eDataType)`
`void`
`populateNameInfo(NameInfo nameInfo, EStructuralFeature feature)`
`void`
`pushContext()`
`void`
`recordPrefixToURIMapping()`
`URI`
`resolve(URI relative, URI base)`
`void`
`setAnySimpleType(EClass type)`
`void`
`setCheckForDuplicates(boolean checkForDuplicates)`
`void`
`setExtendedMetaData(ExtendedMetaData extendedMetaData)`
`List<XMIException>`
`setManyReference(XMLHelper.ManyReference reference, String location)`
`void`
`setMustHavePrefix(boolean mustHavePrefix)`
`void`
`setNoNamespacePackage(EPackage pkg)`
`void`
`setOptions(Map<?,?> options)`
`void`
`setPrefixToNamespaceMap(EMap<String,String> prefixToNamespaceMap)`
`void`
`setProcessDanglingHREF(String value)`
`void`
`setValue(EObject eObject, EStructuralFeature eStructuralFeature, Object value, int position)`
`void`
`setXMLMap(XMLResource.XMLMap map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForwardingXMLHelper

public ForwardingXMLHelper(XMLHelper delegate)
Default constructor.

Parameters:
  `delegate` - The actual helper we'll delegate all calls to.

## Method Details

### setOptions

public void setOptions(Map<?,?> options)

Specified by:
  `setOptions` in interface `XMLHelper`

### setNoNamespacePackage

public void setNoNamespacePackage(EPackage pkg)

Specified by:
  `setNoNamespacePackage` in interface `XMLHelper`

### getNoNamespacePackage

public EPackage getNoNamespacePackage()

Specified by:
  `getNoNamespacePackage` in interface `XMLHelper`

### setAnySimpleType

public void setAnySimpleType(EClass type)

Specified by:
  `setAnySimpleType` in interface `XMLHelper`

### setXMLMap

public void setXMLMap(XMLResource.XMLMap map)

Specified by:
  `setXMLMap` in interface `XMLHelper`

### getXMLMap

public XMLResource.XMLMap getXMLMap()

Specified by:
  `getXMLMap` in interface `XMLHelper`

### setExtendedMetaData

public void setExtendedMetaData(ExtendedMetaData extendedMetaData)

Specified by:
  `setExtendedMetaData` in interface `XMLHelper`

### getExtendedMetaData

public ExtendedMetaData getExtendedMetaData()

Specified by:
  `getExtendedMetaData` in interface `XMLHelper`

### getResource

public XMLResource getResource()

Specified by:
  `getResource` in interface `XMLHelper`

### getValue

public Object getValue(EObject eObject, EStructuralFeature eStructuralFeature)

Specified by:
  `getValue` in interface `XMLHelper`

### getName

public String getName(ENamedElement eNamedElement)

Specified by:
  `getName` in interface `XMLHelper`

### getQName

public String getQName(EClass eClass)

Specified by:
  `getQName` in interface `XMLHelper`

### populateNameInfo

public void populateNameInfo(NameInfo nameInfo, EClass eClass)

Specified by:
  `populateNameInfo` in interface `XMLHelper`

### getQName

public String getQName(EDataType eDataType)

Specified by:
  `getQName` in interface `XMLHelper`

### populateNameInfo

public void populateNameInfo(NameInfo nameInfo, EDataType eDataType)

Specified by:
  `populateNameInfo` in interface `XMLHelper`

### getQName

public String getQName(EStructuralFeature feature)

Specified by:
  `getQName` in interface `XMLHelper`

### populateNameInfo

public void populateNameInfo(NameInfo nameInfo, EStructuralFeature feature)

Specified by:
  `populateNameInfo` in interface `XMLHelper`

### getPrefix

public String getPrefix(String namespaceURI)

Specified by:
  `getPrefix` in interface `XMLHelper`

### getPrefix

public String getPrefix(EPackage ePackage)

Specified by:
  `getPrefix` in interface `XMLHelper`

### getNamespaceURI

public String getNamespaceURI(String prefix)

Specified by:
  `getNamespaceURI` in interface `XMLHelper`

### getPrefixes

public List<String> getPrefixes(EPackage ePackage)

Specified by:
  `getPrefixes` in interface `XMLHelper`

### getID

public String getID(EObject eObject)

Specified by:
  `getID` in interface `XMLHelper`

### getIDREF

public String getIDREF(EObject eObject)

Specified by:
  `getIDREF` in interface `XMLHelper`

### getHREF

public String getHREF(EObject eObject)

Specified by:
  `getHREF` in interface `XMLHelper`

### deresolve

public URI deresolve(URI uri)

Specified by:
  `deresolve` in interface `XMLHelper`

### packages

public EPackage[] packages()

Specified by:
  `packages` in interface `XMLHelper`

### createObject

@Deprecated public EObject createObject(EFactory eFactory, String name)
Deprecated.

Specified by:
  `createObject` in interface `XMLHelper`

### createObject

public EObject createObject(EFactory eFactory, EClassifier type)

Specified by:
  `createObject` in interface `XMLHelper`

### getType

public EClassifier getType(EFactory eFactory, String typeName)

Specified by:
  `getType` in interface `XMLHelper`

### setValue

public void setValue(EObject eObject, EStructuralFeature eStructuralFeature, Object value, int position)

Specified by:
  `setValue` in interface `XMLHelper`

### getFeature

public EStructuralFeature getFeature(EClass eClass, String namespaceURI, String name)

Specified by:
  `getFeature` in interface `XMLHelper`

### getFeature

public EStructuralFeature getFeature(EClass eClass, String namespaceURI, String name, boolean isElement)

Specified by:
  `getFeature` in interface `XMLHelper`

### getFeatureKind

public int getFeatureKind(EStructuralFeature feature)

Specified by:
  `getFeatureKind` in interface `XMLHelper`

### getXMLEncoding

public String getXMLEncoding(String javaEncoding)

Specified by:
  `getXMLEncoding` in interface `XMLHelper`

### getJavaEncoding

public String getJavaEncoding(String xmlEncoding)

Specified by:
  `getJavaEncoding` in interface `XMLHelper`

### setManyReference

public List<XMIException> setManyReference(XMLHelper.ManyReference reference, String location)

Specified by:
  `setManyReference` in interface `XMLHelper`

### setCheckForDuplicates

public void setCheckForDuplicates(boolean checkForDuplicates)

Specified by:
  `setCheckForDuplicates` in interface `XMLHelper`

### setProcessDanglingHREF

public void setProcessDanglingHREF(String value)

Specified by:
  `setProcessDanglingHREF` in interface `XMLHelper`

### getDanglingHREFException

public DanglingHREFException getDanglingHREFException()

Specified by:
  `getDanglingHREFException` in interface `XMLHelper`

### resolve

public URI resolve(URI relative, URI base)

Specified by:
  `resolve` in interface `XMLHelper`

### addPrefix

public void addPrefix(String prefix, String uri)

Specified by:
  `addPrefix` in interface `XMLHelper`

### getAnyContentPrefixToURIMapping

public Map<String,String> getAnyContentPrefixToURIMapping()

Specified by:
  `getAnyContentPrefixToURIMapping` in interface `XMLHelper`

### recordPrefixToURIMapping

public void recordPrefixToURIMapping()

Specified by:
  `recordPrefixToURIMapping` in interface `XMLHelper`

### getURI

public String getURI(String prefix)

Specified by:
  `getURI` in interface `XMLHelper`

### pushContext

public void pushContext()

Specified by:
  `pushContext` in interface `XMLHelper`

### popContext

public void popContext()

Specified by:
  `popContext` in interface `XMLHelper`

### popContext

public void popContext(Map<String,EFactory> prefixesToFactories)

Specified by:
  `popContext` in interface `XMLHelper`

### convertToString

public String convertToString(EFactory factory, EDataType dataType, Object data)

Specified by:
  `convertToString` in interface `XMLHelper`

### getPrefixToNamespaceMap

public EMap<String,String> getPrefixToNamespaceMap()

Specified by:
  `getPrefixToNamespaceMap` in interface `XMLHelper`

### setPrefixToNamespaceMap

public void setPrefixToNamespaceMap(EMap<String,String> prefixToNamespaceMap)

Specified by:
  `setPrefixToNamespaceMap` in interface `XMLHelper`

### setMustHavePrefix

public void setMustHavePrefix(boolean mustHavePrefix)

Specified by:
  `setMustHavePrefix` in interface `XMLHelper`